Tikuv {VGAM} | R Documentation

## A Short-tailed Symmetric Distribution

### Description

Density, cumulative distribution function, quantile function and random generation for the short-tailed symmetric distribution of Tiku and Vaughan (1999).

### Usage

    dtikuv(x, d, mean = 0, sigma = 1, log = FALSE)
    ptikuv(q, d, mean = 0, sigma = 1, lower.tail = TRUE, log.p = FALSE)
    qtikuv(p, d, mean = 0, sigma = 1, lower.tail = TRUE, log.p = FALSE, ...)
    rtikuv(n, d, mean = 0, sigma = 1, Smallno = 1.0e-6)

### Arguments

`x, q` | vector of quantiles.
`p` | vector of probabilities.
`n` | number of observations. Same as in `runif`.
`d, mean, sigma` | arguments for the parameters of the distribution. See `tikuv` for more details. For `rtikuv`, arguments `mean` and `sigma` must be of length 1.
`Smallno` | Numeric, a small value used by the rejection method for determining the lower and upper limits of the distribution. That is, `ptikuv(L) < Smallno` and `ptikuv(U) > 1-Smallno` where `L` and `U` are the lower and upper limits respectively.
`...` | Arguments that can be passed into `uniroot`.
`log` | Logical. If `log = TRUE` then the logarithm of the density is returned.
`lower.tail, log.p` | Same meaning as in `pnorm` or `qnorm`.

### Details

See `tikuv` for more details.

### Value

`dtikuv` gives the density, `ptikuv` gives the cumulative distribution function, `qtikuv` gives the quantile function, and `rtikuv` generates random deviates.

### Author(s)

T. W. Yee and Kai Huang

### See Also

`tikuv`.

### Examples

    ## Not run:  par(mfrow = c(2, 1))
    x <- seq(-5, 5, len = 401)
    plot(x, dnorm(x), type = "l", col = "black", ylab = "", las = 1,
         main = "Black is standard normal, others are dtikuv(x, d)")
    lines(x, dtikuv(x, d = -10), col = "orange")
    lines(x, dtikuv(x, d = -1 ), col = "blue")
    lines(x, dtikuv(x, d =  1 ), col = "green")
    legend("topleft", col = c("orange","blue","green"), lty = rep(1, len = 3),
           legend = paste("d =", c(-10, -1, 1)))

    plot(x, pnorm(x), type = "l", col = "black", ylab = "", las = 1,
         main = "Black is standard normal, others are ptikuv(x, d)")
    lines(x, ptikuv(x, d = -10), col = "orange")
    lines(x, ptikuv(x, d = -1 ), col = "blue")
    lines(x, ptikuv(x, d =  1 ), col = "green")
    legend("topleft", col = c("orange","blue","green"), lty = rep(1, len = 3),
           legend = paste("d =", c(-10, -1, 1)))
    ## End(Not run)

    probs <- seq(0.1, 0.9, by = 0.1)
    ptikuv(qtikuv(p = probs, d =  1), d = 1) - probs  # Should be all 0

[Package VGAM version 1.0-4 Index]